# -*- coding: utf-8 -*-
import sys
import unittest
from skoolkittest import SkoolKitTestCase
from skoolkit.skoolparser import SkoolParser

TEST_SKOOL = 'test-parser.skool'

class SkoolParserTest(SkoolKitTestCase):
    def _get_parser(self, *args, **kwargs):
        return SkoolParser(TEST_SKOOL, *args, **kwargs)

    def test_html_escape(self):
        parser = self._get_parser(html=True)
        inst = parser.instructions[24576][0]
        self.assertEqual(inst.comment.text, 'Return if X&lt;=Y or Y&gt;=Z')

    def test_html_no_escape(self):
        parser = self._get_parser(html=False)
        inst = parser.instructions[24576][0]
        self.assertEqual(inst.comment.text, 'Return if X<=Y or Y>=Z')

if __name__ == '__main__':
    unittest.main()
